Package helma.util

# Class CryptResource

java.lang.Object
helma.util.CryptResource

public class CryptResource extends Object
This file authenticates against a passwd source

## Constructor Summary

Constructors
Constructor
Description
`CryptResource(Resource resource, CryptResource parentResource)`
Creates a new CryptSource object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`authenticate(String username, String pw)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CryptResource

public CryptResource(Resource resource, CryptResource parentResource)
Creates a new CryptSource object.

Parameters:
  `resource` - ...
  `parentResource` - ...

## Method Details

### authenticate

public boolean authenticate(String username, String pw)

Parameters:
  `username` - ...
  `pw` - ...
Returns:
  ...